d3.csv('https://gist.githubusercontent.com/Sheela2930/7a5a5f1ab1fa8c52fe9190a9b0d6f835/raw/0fdf9de517895f5297d2a470c81cb77dc07a7b44/Video%2520Games%2520Dataset.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'Name'), y: unpack(rows, 'Year'), z: unpack(rows, 'NorthAmerica_Sales'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgba(105, 20, 92, 0.1)',
		width: 0.5},
		opacity: 0.9},
	type: 'scatter3d'
};

var trace2 = {
	x:unpack(rows, 'Name'), y: unpack(rows, 'Year'), z: unpack(rows, 'Japan_Sales'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgb(252,78,3)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {
    margin: { l: 0, r: 0, b: 0, t: 0 },
    scene: { zaxis: { title: 'Sales- NA and japan' },yaxis: { title: 'Year' },xaxis: { title: 'Game Names', } }  // added zaxis property with title attribute
  };
Plotly.newPlot('myDiv', data, layout);
});
